Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class OptionArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.thaiopensource.validate.OptionArgumentException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OptionArgumentFormatException, OptionArgumentPresenceException

    public class OptionArgumentException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`OptionArgumentException()`
`OptionArgumentException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionArgumentException

    public OptionArgumentException()

### OptionArgumentException

    public OptionArgumentException(String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD